class Parlez::PostsController < ApplicationController
  layout Parlez::Engine.config.layout

  def index
    @posts = Parlez::Post.published.order('published_at DESC').limit(Parlez::Engine.config.posts_per_page)
  end

  def show
    @post = Parlez::Post.find(params[:id])
    @comments = @post.comments.ham.order('updated_at DESC')
  end
end