class Parlez::Comment < ActiveRecord::Base
  # TODO: Update this when isolated engines comes into play.
  self.table_name_prefix = 'parlez_'

  include Rakismet::Model

  # Associations
  belongs_to :post, :class_name => 'Parlez::Post'

  # Scopes
  scope :ham, where(:is_spam => false)
  scope :spam, where(:is_spam => true)

  # Validations
  validates_presence_of :content, :message => 'You must include a comment!'
  # validates :author_email, :presence => true, :email => true

  # Class Methods

  # Instance Methods
  def permalink
    post.permalink
  end

end
