module Parlez
  # Loading engine only if this is not a standalone installation
  # unless defined?(Parlez::Application)
    require File.expand_path('parlez/engine', File.dirname(__FILE__))
  # end

  [ 'parlez/form_builder',
    'parlez/view_extensions',
    'parlez/email_validator' ].each do |path|
    require File.expand_path(path, File.dirname(__FILE__))
  end

  module ViewMethods
    def parlez_form_for(object, *args, &proc)
      options = args.extract_options!
      form_for(object, *(args << options.merge(:builder => Parlez::FormBuilder)), &proc)
    end
  end
  ActionView::Base.send(:include, ViewMethods)
end