$(document).ready(function(){
  $('.slug').slugify({source: $('#post_title')});
  $(window).bind('load', function(){
    equalizeHeights();
  }).bind('resize', function(){
    equalizeHeights();
  });

  function equalizeHeights() {
    group = $("div.menu-container, div.content-container, div.extras-container");
    tallest = 0;
    group.each(function() {
        thisHeight = $(this).height();
        if(thisHeight > tallest) {
            tallest = thisHeight;
        }
    });
    group.height(tallest);
  }

  $.each($('.rich_text'), function(i, el){
    CodeMirror.fromTextArea(el, {
      parserfile: ["/javascripts/parlez/codemirror.js"],
      basefiles: ['/javascripts/parlez/codemirror-lib.js'],
      stylesheet: ['/stylesheets/parlez/codemirror/csscolors.css', '/stylesheets/parlez/codemirror/jscolors.css', '/stylesheets/parlez/codemirror/xmlcolors.css'],
      content: $(el).val()
    });
  });

});