## CONFIGURATION DEFAULTS

## Base class for the Parlez::Admin::BaseController to inherit from.
## You can use this to share your authentication with Parlez. Just sub-class your UserSessionsController, for example.
## AuthController provides simple HTTP auth
# Parlez::Engine.config.admin_parent_class = Parlez::AuthController

## Simple HTTP Authentication. It will use these credentials if you don't provide your own auth setup.
# Parlez::Engine.config.username = 'parlez'
# Parlez::Engine.config.password = 'zelrap'

## The path for the frontend views
# Parlez::Engine.config.path = '/blog'

## The path to the admin interface. Parlez will prepend this to its own paths
## to maintain admin-side consistency.
## So, if your existing admin section is at /supersecret, set this to /supersecret
# Parlez::Engine.config.admin_prefix = '/admin'

## The path for the backend views, full path becomes admin_prefix + admin_path
# Parlez::Engine.config.admin_path = '/posts'

## The number of posts to display on the front end index pages.
# Parlez::Engine.config.posts_per_page = 10

## Periodically check for updates (future functionality)
# Parlez::Engine.config.check_for_updates = false